---
title: "Retrieves an Order's Card resource"
slug: "retrieves-an-orders-card-resource"
updated: 2025-12-01T23:52:10Z
published: 2025-12-01T23:52:10Z
canonical: "developer.upgrade.com/retrieves-an-orders-card-resource"
---
> ## Documentation Index
> Fetch the complete documentation index at: https://developer.upgrade.com/llms.txt
> Use this file to discover all available pages before exploring further.
# Retrieves an Order's Card resource
Get/v1/orders/{orderId}/card
SecurityHTTPType bearer
Path parametersorderIdstringRequired
Order ID
Responses200
Successful payment response
Expand Allobject
Payment details.
cardobject (Card)
Card details for merchant payout
idstring | null
Do not send or set to null in request.
ccvstring Example123
expirationMonthinteger Example12
nameOnCardstring ExampleArthur Davis
expirationYearinteger Example2027
numberstring Example5431111111111111
contactobject postalCodestring Example99999
emailstring Examplearthur@flexpay.com
firstNamestring ExampleArthur
phonestring Example5555551749
citystring ExampleMayfield
regionstring ExampleKY
lastNamestring ExampleDavis
streetAddressstring Example1013 Weda Cir
countrystring ExampleUS
typestring Valid values[
"VISA",
"MASTERCARD",
"UATP"
]
tokenstring
additionalTokensobject instrumentTokenstring
maskedCcstring
aliasCvvstring
uppCvvExpirationDatestring (date) Example2026-10-12
binstring
errorCodestring
Error code for unsuccessful but valid payment requests.
Valid values[
"LOAN_NOT_ACCEPTED"
]
401
Unauthorized
object codeNamestring ExampleINVALID_REQUEST_ERROR
messagestring ExampleUnauthorized
statusCodeinteger Example401
403
Access Denied
object codeNamestring ExampleINVALID_REQUEST_ERROR
messagestring ExampleAccess Denied
statusCodeinteger Example403
404
Payment Not Found
object codeNamestring ExampleCARD_NOT_CREATED
messagestring ExamplePayment not found
statusCodeinteger Example404
405
Method Not Allowed
object codeNamestring ExampleINVALID_REQUEST_ERROR
messagestring ExampleMethod Not Allowed
statusCodeinteger Example405
408
Request Timeout
object codeNamestring ExampleAPI_TIMEOUT
messagestring ExampleRequest Timeout
statusCodeinteger Example408
500
Internal Server Error
object codeNamestring ExampleAPI_ERROR
messagestring ExampleInternal Server Error
statusCodeinteger Example500